import $http from "@/utils/httpRequest";

/**
 * 提现记录
 * @param {*} params
 * @returns
 */
export function cashOutAuditPage(params) {
	return $http({
		url: "/cashOutAudit/page",
		method: "get",
		params
	});
}

/**
 * 提现审核
 * @param {*} params
 * @returns
 */
export function cashOutAuditAudit(data) {
	return $http({
		url: "/cashOutAudit/audit",
		method: "POST",
		data
	});
}

/**
 * 提现统计
 * @param {*} params
 * @returns
 */
export function summary_query(params) {
	return $http({
		url: "/cashOutAudit/alipay/transfer/summary/query",
		method: "get",
		params
	});
}

/**
 * 实名信息列表
 * @param {*} params
 * @returns
 */
export function userInfo_list(params) {
	return $http({
		url: "/czg/userInfo/list",
		method: "get",
		params
	});
}

/**
 * 实名信息修改
 * @param {*} data
 * @returns
 */
export function userInfo(data) {
	return $http({
		url: "/czg/userInfo",
		method: "put",
		data
	});
}
/**
 * 实名删除
 * @param {*} data
 * @returns
 */
export function userInfoDel(data) {
	return $http({
		url: "/czg/userInfo",
		method: "DELETE",
		data
	});
}
